"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeAnalysisGenerator = void 0;
const node_path_1 = __importDefault(require("node:path"));
const shared_1 = require("../shared");
const codacy_1 = require("./codacy");
const code_climate_1 = require("./code-climate");
class CodeAnalysisGenerator extends shared_1.BaseGenerator {
    configureSubGenerators() {
        return [
            {
                Generator: codacy_1.CodacyGenerator,
                path: node_path_1.default.join(__dirname, "./codacy"),
            },
            {
                Generator: code_climate_1.CodeClimateGenerator,
                path: node_path_1.default.join(__dirname, "./code-climate"),
            },
        ];
    }
}
exports.CodeAnalysisGenerator = CodeAnalysisGenerator;
//# sourceMappingURL=CodeAnalysisGenerator.js.map