import { GeneratorFeatures, GeneratorOptions, Question } from "yeoman-generator";
import { BaseGenerator } from "../shared/index";
export interface GitHubGeneratorOptions {
    repoOwner: string;
    repoName: string;
    packageDescription: string;
    isPrivateRepo: boolean;
    disableGitPush?: boolean;
}
export declare class GitHubGenerator extends BaseGenerator<GitHubGeneratorOptions> {
    private github;
    static getQuestions(): Question<GitHubGeneratorOptions>[];
    constructor(args: string | string[], options: GeneratorOptions, features?: GeneratorFeatures);
    end(): Promise<void>;
    private createOrUpdateRepository;
    private protectMasterBranch;
    private enableVulnerabilityAlerts;
    private createOrUpdateLabels;
    private deleteDefaultLabels;
    private createOrUpdatePriorityLabels;
    private createOrUpdateIssueTypeLabels;
    private createOrUpdateStateLabels;
    private deleteLabel;
    private createOrUpdateLabel;
    private getRemoteOriginUrl;
    private _gitPush;
}
//# sourceMappingURL=GitHubGenerator.d.ts.map