import { GeneratorOptions, Question } from "yeoman-generator";
import { BaseGenerator } from "../shared";
import { ReadmeGenerator } from "./readme";
import { ReadmeGeneratorOptions } from "./readme/ReadmeGenerator";
export interface NodeModuleGeneratorOptions extends ReadmeGeneratorOptions {
    packageKeywords: string;
    authorName: string;
    authorEmail: string;
    disableImmutableYarnInstalls?: boolean;
}
export declare class NodeModuleGenerator extends BaseGenerator<NodeModuleGeneratorOptions> {
    static getQuestions(): Question<NodeModuleGeneratorOptions>[];
    constructor(args: string | string[], options: Partial<NodeModuleGeneratorOptions> & GeneratorOptions);
    writing(): void;
    install(): Promise<void>;
    protected configureSubGenerators: () => {
        Generator: typeof ReadmeGenerator;
        path: string;
    }[];
    private writeGitignore;
    private writePackageJson;
}
//# sourceMappingURL=NodeModuleGenerator.d.ts.map