"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReadmeGenerator = void 0;
const shared_1 = require("../../shared");
class ReadmeGenerator extends shared_1.BaseGenerator {
    static getQuestions() {
        return [
            {
                type: "input",
                name: "repoOwner",
                message: "Who owns this repository?",
                default: "chiubaka",
            },
            {
                type: "input",
                name: "repoName",
                message: "What is the name of this new repo?",
                default: "generated-typescript-package",
            },
            {
                type: "input",
                name: "packageName",
                message: "What is the name of this new package?",
                default: "generated-typescript-package",
            },
            {
                type: "input",
                name: "packageDescription",
                message: "What is the description of this new package?",
                default: "A TypeScript package generated by chiubaka/generator-chiubaka-typescript-package",
            },
            {
                type: "confirm",
                name: "includeNpmShield",
                message: "Would you like to include an NPM shield in the README?",
                default: true,
            },
            {
                type: "confirm",
                name: "includeCircleCiShield",
                message: "Would you like to include a CircleCI shield in the README?",
                default: true,
            },
        ];
    }
    writing() {
        this.copyTemplate("README.md.ejs", "README.md", this.answers);
    }
}
exports.ReadmeGenerator = ReadmeGenerator;
//# sourceMappingURL=ReadmeGenerator.js.map